Skip to navigation

Create Managed Environment

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
environmentSlugstringRequired
providerTypestringRequired
runtimeProviderstringRequired
configRefsmap from strings to anyOptional
statusstringOptionalDefaults to active

Response

Successful Response

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error